
Redmine - Defect #2220

New Custom Fields not propagated to old issues

2008-11-21 11:23 - gabriel scolan

Status: New Start date: 2008-11-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

It seems that when you define new custom fields for an issue, no value (default value would be expected) is set to the issues

previously recorded.

Looking at the records in the database, the table custom_values do not contain the new custom field on old issues (customized_id)

I'm on the 0.8 trunk.

History

#1 - 2010-08-08 17:31 - Jean-Baptiste Barth

Confirmed, but it may be a good thing, it depends on how you use custom fields. In some cases I just don't want previous issues to be updated with

the new default value. Can you think of a simple way we could handle both situations ?

#2 - 2011-03-23 11:34 - Toshi MARUYAMA

- Category set to Custom fields
